org.apache.maven.project

## Class DefaultProjectBuilderConfiguration

- java.lang.Object
- - org.apache.maven.project.DefaultProjectBuilderConfiguration

- All Implemented Interfaces:
    ProjectBuilderConfiguration

      public class DefaultProjectBuilderConfiguration
      extends java.lang.Object
      implements ProjectBuilderConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProjectBuilderConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getBuildStartTime()`
    `java.util.Properties` | `getExecutionProperties()`
    `ProfileManager` | `getGlobalProfileManager()`
    `ArtifactRepository` | `getLocalRepository()`
    `java.util.Properties` | `getUserProperties()`
    `ProjectBuilderConfiguration` | `setBuildStartTime(java.util.Date buildStartTime)`
    `ProjectBuilderConfiguration` | `setExecutionProperties(java.util.Properties executionProperties)`
    `ProjectBuilderConfiguration` | `setGlobalProfileManager(ProfileManager globalProfileManager)`
    `ProjectBuilderConfiguration` | `setLocalRepository(ArtifactRepository localRepository)`
    `ProjectBuilderConfiguration` | `setUserProperties(java.util.Properties userProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProjectBuilderConfiguration

          public DefaultProjectBuilderConfiguration()

  - ### Method Detail

    - #### setGlobalProfileManager

          public ProjectBuilderConfiguration setGlobalProfileManager(ProfileManager globalProfileManager)

      Specified by:
        `setGlobalProfileManager` in interface `ProjectBuilderConfiguration`

    - #### getGlobalProfileManager

          public ProfileManager getGlobalProfileManager()

      Specified by:
        `getGlobalProfileManager` in interface `ProjectBuilderConfiguration`

    - #### setLocalRepository

          public ProjectBuilderConfiguration setLocalRepository(ArtifactRepository localRepository)

      Specified by:
        `setLocalRepository` in interface `ProjectBuilderConfiguration`

    - #### getLocalRepository

          public ArtifactRepository getLocalRepository()

      Specified by:
        `getLocalRepository` in interface `ProjectBuilderConfiguration`

    - #### setUserProperties

          public ProjectBuilderConfiguration setUserProperties(java.util.Properties userProperties)

      Specified by:
        `setUserProperties` in interface `ProjectBuilderConfiguration`

    - #### getUserProperties

          public java.util.Properties getUserProperties()

      Specified by:
        `getUserProperties` in interface `ProjectBuilderConfiguration`

    - #### getExecutionProperties

          public java.util.Properties getExecutionProperties()

      Specified by:
        `getExecutionProperties` in interface `ProjectBuilderConfiguration`

    - #### setExecutionProperties

          public ProjectBuilderConfiguration setExecutionProperties(java.util.Properties executionProperties)

      Specified by:
        `setExecutionProperties` in interface `ProjectBuilderConfiguration`

    - #### getBuildStartTime

          public java.util.Date getBuildStartTime()

      Specified by:
        `getBuildStartTime` in interface `ProjectBuilderConfiguration`

    - #### setBuildStartTime

          public ProjectBuilderConfiguration setBuildStartTime(java.util.Date buildStartTime)

      Specified by:
        `setBuildStartTime` in interface `ProjectBuilderConfiguration`